import { createI18n } from 'vue-i18n'
import en from '../locales/en.json'
import zhCN from '../locales/zh-CN.json'
import ja from '../locales/ja.json'
import th from '../locales/th.json'
import zhTW from '../locales/zh-TW.json'
import fr from '../locales/fr.json'

let language = window.localStorage.getItem('currentLanguage') || 'en'
const supportLanguages = ['zh-CN', 'en', 'ja', 'th', 'zh-TW', 'fr']
if (language && !supportLanguages.includes(language)) {
  language = 'en'
}

const i18n = createI18n({
  // something vue-i18n options here ...
  legacy: false,
  // locale: language === 'zh-CN' ? 'zh-CN' : 'en', // 根据浏览器语言设置
  locale: language,
  fallbackLocale: 'en',
  messages: {
    en,
    'zh-CN': zhCN,
    'zh-TW': zhTW,
    fr,
    ja,
    th
  }
})

export default i18n
